/**
 * @file	log.c
 * @author	myusgun <myusgun@gmail.com>
 */
#include "cf_log.h"
#include <stdio.h>

#define LOGID		1

int main (void)
{
	int			i, j;
	char		logname[16] = {0x00,};

	if (CF_Log_Initialize (10) < 0)
	{
		fprintf (stderr, "failed to init. log\n");
		return -1;
	}

	for (i = 0 ; i < 10 ; i++)
	{
		sprintf (logname, "logid%d.txt", i);
		if (CF_Log_Open (i, logname, CF_LOG_BUFFER_NO) < 0)
			fprintf (stderr, "failed to open log\n");
	}

	if (CF_Log_SetLevel (5) < 0)
		fprintf (stderr, "failed to set log level\n");

	for (i = 0 ; i < 10 ; i++)
	{
		for (j = 0 ; j < 10000 ; j++)
		{
			int result = CF_Log_Write (i, "LOG_ID_TEST", "turn %d\n", j); 
			if (result < 0)
				fprintf (stderr, "failed to write log %d\n", result);
		}

		if (CF_Log_Close (i) < 0)
			fprintf (stderr, "failed to close log\n");
	}

	CF_Log_Finalize ();

	return 0;
}
